Subject: RE: [Dime] Next Steps for draft-tsou-dime-base-routing-ext-00

From: "Glen Zorn \(gwz\)" <[email-masked]>
Date: Thu, 17 Aug 2006 19:13:48 -0700

Yoshihiro Ohba <mailto:[email-masked]> supposedly scribbled:

> I think the content of draft-tsou-dime-base-routing-ext-00 should be
> integrated into rfc3588bis, because I think source routing is needed
> to support stateful agents 

Assuming that some Diameter agents currently exist & given that Diameter agents are by definition stateful (see RFC 3588, section 1.3, "Transaction State", it's hard to see how this statement can be correct.

...

Hope this helps,

~gwz

Why is it that most of the world's problems can't be solved by simply
  listening to John Coltrane? -- Henry Gabriel

_______________________________________________
DiME mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/dime

---

From: Tina TSOU <[email-masked]>
Date: Fri, 18 Aug 2006 11:28:55 +0800

Hi Glen,
Then what's your concrete proposal to proceed with this draft? :)

B. R.
Tina
//Looking forward to the weekend...

---

From: Yoshihiro Ohba <[email-masked]>
Date: Mon, 21 Aug 2006 09:03:48 -0400

Hi Glen,

> Assuming that some Diameter agents currently exist & given that Diameter agents are by definition stateful (see RFC 3588, section 1.3, "Transaction State", it's hard to see how this statement can b…

Statefulness of Diameter agents is in terms of session state, not
transaction state.  In fact, Section 1.3 of RFC 3588 says:

"A stateless agent is one that only maintains transaction state."

Regards,
Yoshihiro Ohba